Closed Bug 1178360 Opened 6 years ago Closed 5 years ago

deviantart notifications not shown, too much recursion

Categories

(Web Compatibility :: Desktop, defect)

Firefox 41
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: zato0zero, Unassigned)

References

()

Details

(Whiteboard: [needsdiagnosis] [country-all])

User Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:41.0) Gecko/20100101 Firefox/41.0
Build ID: 20150628030215

Steps to reproduce:

Log in to DeviantArt
Received some notifications from favourites
Go to http://www.deviantart.com/notifications/


Actual results:

Images from authors are not shown

Errors in console change over time:
22:27:35.749 too much recursion1 deviantart-network_jc.js:8:31942
22:28:33.275 Error: regexp too big1 deviantart-network_jc.js:8:16383
22:29:09.850 too much recursion1 notifications:102:1012



Expected results:

Images should be shown properly
Component: Untriaged → Desktop
Product: Firefox → Tech Evangelism
Version: 41 Branch → Firefox 41
I don't have an account to check, but looks like something that should be reported directly to them.
Already did this. Conversation with support:

eddiezato:
Messages in my inbox are not shown until I refresh the page about 20 times. Tested on Firefox 38 and 41. It works in Chrome.
User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:41.0) Gecko/20100101 Firefox/41.0

Chris Carey: 
If it works on another browser it's possible the browser you were using has an extension or plugin or toolbar installed that is causing the issue. You may wish to temporarily disable these to see which one is causing the issue.

eddiezato:
I tested with clean profile without any extensions - same issue.

Chris Carey:
The issue wouldn't be with the account or profile, it would be with the browser. Unfortunately we have been unable to duplicate this issue in any of our tests. If you're certain it's not an extension you may wish to check other settings and programs you have running at the same time. One or more of them may be causing this problem on your end.
To help reproduce, can you explain a bit more how the following works?

> Received some notifications from favourites

If I create a test account, what steps would I need to take to get those notifications?
(In reply to Mike Taylor [:miketaylr] from comment #3)
> If I create a test account, what steps would I need to take to get those
> notifications?

Add some authors to you favourites by clicking "Watch" button on author's profile page. When the author submits some art, you will receive a notification - the icon with the numbers in the upper right corner. Click on this and your go to http://www.deviantart.com/notifications/

Screenshot with explanations http://lh3.googleusercontent.com/-68fzMBwzBrk/VZQFHCfuEOI/AAAAAAAAJEo/rj2RghTPuS8/s956/dart_bug.png

Sorry my bad english.
Flags: needinfo?(zato0zero)
Very helpful, thanks. I'll create a test account and watch some authors today.

(PS, your English is great).
Firefox 42.0a1 (2015-07-05). The bug occurs much rarer.
Hm.. have watched several people randomly on my DA account, but haven't been able to reproduce :-/ Tested with 39 and 41.
Status: UNCONFIRMED → NEW
Ever confirmed: true
I had lots of notifications today, still no problems. Eddie, are you still seeing this?
Flags: needinfo?(zato0zero)
(In reply to Hallvord R. M. Steen [:hallvors] from comment #8)
> I had lots of notifications today, still no problems. Eddie, are you still
> seeing this?

This is annoying. The problem still exist. But rarer than earlier.
Recently I reinstalled Windows (for other reasons) and I tested again this bug on a clean profile. The same result.
Video with the bug https://youtu.be/S1p_h-rymiY
Flags: needinfo?(zato0zero)
I am able to produce this issue in the following versions:

38.05-6 x64
39.0 x64
40.0b1-3 x64
41.0a2 x64
42.0a1 x64

Browser console output from the following versions:

38.05-6
too much recursion deviantart-network_jc.js:8:15481
An unbalanced tree was written using document.write() causing data from the network to be reparsed. For more information https://developer.mozilla.org/en/Optimizing_Your_Pages_for_Speculative_Parsing container.html:17:0

39.0
too much recursion deviantart-network_jc.js:8:15481
ReferenceError: _body is not defined gmtagr-au.js:84:4
An unbalanced tree was written using document.write() causing data from the network to be reparsed. For more information https://developer.mozilla.org/en/Optimizing_Your_Pages_for_Speculative_Parsing if:1:0

40.0b1-3 | 41.0a2 | 42.0a1
too much recursion deviantart-network_jc.js:8:15960
ReferenceError: Messages is not defined notifications:1:0
An unbalanced tree was written using document.write() causing data from the network to be reparsed. For more information https://developer.mozilla.org/en/Optimizing_Your_Pages_for_Speculative_Parsing container.html:17:0

Adblock plus and uBlock do also affect the page correctly rendering the notification content.
Sigh. I reloaded many times, still not seeing it :-/
Weird. I can see the issue in Eddie's video, but can't reproduce in Nightly (e10s) with a fresh profile or in Dev Edition (non-e10s) with my regular profile.
It seems, the bug has disappeared
FF 42.0a1 (2015-07-20)
While i can still produce it on multiple machines with 90% strike rate its does work in
42.0a1 (2015-07-20) as mentioned above, However still much recursion.

Since your unable to produce the issues your self's i have made you a video
Testing
39.0 x86 (Control)
39.0b7 x64
40.0b6 x64
41.0a2 x64
42.0a1 x64

Each was a clean profile with the exception i pre-logged in before showing the page and console output.

Video of bug https://youtu.be/OB9gKKGNibQ

I hope this extra information helps.
Flags: needinfo?(miket)
FF 42.0a1 (2015-07-21)
The bug has returned.
Thanks for the video Toady--that's helpful. I wonder if this is a Windows-only problem.
Flags: needinfo?(miket)
(In reply to Mike Taylor [:miketaylr] from comment #16)
> Thanks for the video Toady--that's helpful. I wonder if this is a
> Windows-only problem.

Yes, It appears to be window only as unable to produce in linux, Not sure about mac.

Between version 38.0 and 39.0 this regression has appeared, While in x86 Firefox its still able to function as intended it still does throw a recursion warning but in Firefox x64 its completely broken taking in to account it sometimes renders the page correctly with all JavaScript functions working.

Sometimes the recursion issue is not present but a message of a stack overflow http://i.imgur.com/XVIyVyI.jpg with the page not functioning.
I was able to track down hopefully very close to where it first appears

ftp://ftp.mozilla.org/pub/firefox/nightly/2015/05/2015-05-14-mozilla-beta-debug/

I did get a stack overflow error in the console in the same position as the image above in this build
ftp://ftp.mozilla.org/pub/firefox/nightly/2015/05/2015-05-01-mozilla-beta-debug/
However the page still worked as normal with no recursion.
Flags: needinfo?(miket)
Interesting Toady. Did you happen to use a tool similar to http://mozilla.github.io/mozregression/? That would make it so we could find a very specific commit range.
Flags: needinfo?(miket) → needinfo?(toadyshadow101)
(In reply to Mike Taylor [:miketaylr] from comment #19)
> Interesting Toady. Did you happen to use a tool similar to
> http://mozilla.github.io/mozregression/? That would make it so we could find
> a very specific commit range.

Unfortunately no that was with manually testing each build.

Thanks for the tip of mozregression here is the output.

Last good build:
app_name: firefox
build_date: 2015-02-21
build_path: c:\users\badass\appdata\local\temp\tmpjyga6l\2015-02-21--mozilla-central--firefox-38.0a1.en-US.win64.zip
build_txt_url: http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2015/02/2015-02-21-03-02-08-mozilla-central/firefox-38.0a1.en-US.win64.txt
build_type: nightly
build_url: http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2015/02/2015-02-21-03-02-08-mozilla-central/firefox-38.0a1.en-US.win64.zip
changeset: 5de3af90c494
pushlog_url: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=0c2f7434c325&tochange=eab4a81e4457
repo: mozilla-central
repository: https://hg.mozilla.org/mozilla-central


First bad build:
app_name: firefox
build_date: 2015-03-01
build_path: c:\users\badass\appdata\local\temp\tmpjyga6l\2015-03-01--mozilla-central--firefox-39.0a1.en-US.win64.zip
build_txt_url: http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2015/03/2015-03-01-03-02-24-mozilla-central/firefox-39.0a1.en-US.win64.txt
build_type: nightly
build_url: http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2015/03/2015-03-01-03-02-24-mozilla-central/firefox-39.0a1.en-US.win64.zip
changeset: eea6188b9b05
pushlog_url: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5de3af90c494&tochange=eab4a81e4457
repo: mozilla-central
repository: https://hg.mozilla.org/mozilla-central



This issue is present in the latest nightly as well.
Flags: needinfo?(toadyshadow101) → needinfo?(miket)
(In reply to Mike Taylor [:miketaylr] from comment #19)
> Interesting Toady. Did you happen to use a tool similar to
> http://mozilla.github.io/mozregression/? That would make it so we could find
> a very specific commit range.

This issue appears to be getting worse in the latest beta x64 just visiting deviantart throws
too much JavaScript recursion.

Unfortunately mozregression won't let me check inbound it shows an error "unable to find enough data to bisect"

If this helps i was able to get closer and reduce the list


First bad build (non inbound):
app_name: firefox
build_date: 2015-02-22
build_path: c:\users\badass\appdata\local\temp\tmpw9kowh\2015-02-22--mozilla-central--firefox-38.0a1.en-US.win64.zip
build_txt_url: http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2015/02/2015-02-22-03-02-06-mozilla-central/firefox-38.0a1.en-US.win64.txt
build_type: nightly
build_url: http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2015/02/2015-02-22-03-02-06-mozilla-central/firefox-38.0a1.en-US.win64.zip
changeset: 0cefb584fd1a
pushlog_url: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5de3af90c494&tochange=0cefb584fd1a
repo: mozilla-central
repository: https://hg.mozilla.org/mozilla-central
Duplicate of this bug: 1206509
I have this same issue it started to happen from version 41.

It is random, you don't see the images and notifications then refresh and they are there, refresh and they are gone again.

When you don't see them you do not see any messages at all when they do show they all show so it is a very strange problem.

The x86 version has no issues showing the notifications it is just the x64 version that has this problem.
Sorry, I still haven't been able to reproduce -- which is frustrating given the videos and multiple confirmed comments here.

Kohei, I wonder if you can see the issue?
Flags: needinfo?(miket) → needinfo?(kohei.yoshino)
Yes Mike it is a weird issue. In earlier versions the notifications would not show at all, now in version 44.0.a1 when you log in they don't show then if you refresh they will show refresh again they will not show.

I have tried everything I can think of to sort the issue even using a new profile but nothing has been able to solve the problem.
I have just created a test account, subscribed some creators, and navigated to the Notifications page. I don't see any issues so far. Will be back later.
Flags: needinfo?(kohei.yoshino)
I also have this problem and only in 64 bit version on Windows (32 bit works without problem). Usually I press F5 until notifications are loaded correctly.
I reproduced this issue in Firefox 42 x64 on Windows 10 too. Also I checked on Nightly 45.0a1 (2015-11-19) and got the same result. Here is an example to reproduce the issue: http://jsfiddle.net/tLun99kb/show/

Note, that Firefox 42.0 32 bit works correctly without any errors.
Alexander: is that example derived from Deviantart? What exactly does it look like when it fails?
Hallvord, no, it is DevExtreme library.
Interesting, I'll try to reproduce on 64bit.
I not able to reproduce this issue in Windows 10 64bit.
Whiteboard: [needsdiagnosis] [country-all]
True. Win 10 x64 (Ver 1511 Build 10586.545), Firefox Nightly 51.0a1 (2016-08-29). All works correctly.
Well, that's good. This is one we never really pinned down...
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WORKSFORME
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.